#
# Conditional build:
%bcond_with	introspection	# API introspection
%bcond_with	vala		# Vala API
#
%if %{without introspection}
%undefine	with_vala
%endif
Summary:	Library for pixel-format agnosticism
Summary(pl.UTF-8):	Biblioteka niezależności od formatu piksela
Name:		babl
Version:	0.1.10
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	ftp://ftp.gimp.org/pub/babl/0.1/%{name}-%{version}.tar.bz2
# Source0-md5:	9e1542ab5c0b12ea3af076a9a2f02d79
Patch0:		%{name}-as-needed.patch
Patch1:		%{name}-gir-fix.patch
URL:		http://www.gegl.org/babl/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.11
%{?with_introspection:BuildRequires:	gobject-introspection-devel >= 0.10}
BuildRequires:	libtool >= 2:2.2
%{?with_vala:BuildRequires:	vala}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Babl is a dynamic, any to any, pixel format conversion library. It
provides conversions between the myriad of buffer types images can be
stored in. Babl doesn't only help with existing pixel formats, but
also facilitates creation of new and uncommon ones.

%description -l pl.UTF-8
Babl to biblioteka dynamicznych przekształceń między dowolnymi
formatami pikseli. Udostępnia konwersje między wieloma różnymi typami
buforów obrazów. Babl nie tylko pomaga przy istniejących formatach
pikseli, ale także ułatwia tworzenie nowych i niestandardowych.

%package devel
Summary:	Header files for babl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki babl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for babl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki babl.

%package static
Summary:	Static babl library
Summary(pl.UTF-8):	Statyczna biblioteka babl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static babl library.

%description static -l pl.UTF-8
Statyczna biblioteka babl.

%package -n vala-babl
Summary:	Vala API for babl library
Summary(pl.UTF-8):	API języka Vala dla biblioteki babl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala

%description -n vala-babl
Vala API for babl library.

%description -n vala-babl -l pl.UTF-8
API języka Vala dla biblioteki babl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_introspection:--enable-introspection} \
	--disable-silent-rules \
	--enable-static \
	%{!?with_vala:--without-vala}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/babl-0.1/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libbabl-0.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbabl-0.1.so.0
%dir %{_libdir}/babl-0.1
%attr(755,root,root) %{_libdir}/babl-0.1/*.so
%{?with_introspection:%{_libdir}/girepository-1.0/Babl-0.1.typelib}

%files devel
%defattr(644,root,root,755)
%doc docs/{*.html,*.css}
%attr(755,root,root) %{_libdir}/libbabl-0.1.so
%{_libdir}/libbabl-0.1.la
%{_includedir}/babl-0.1
%{?with_introspection:%{_datadir}/gir-1.0/Babl-0.1.gir}
%{_pkgconfigdir}/babl.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libbabl-0.1.a

%if %{with vala}
%files -n vala-babl
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/babl-0.1.vapi
%endif
%changelog
* Thu May 03 2012 Jan Rękorajski <baggins@pld-linux.org> a37508f
- rel 1
- disabled introspection and vala as they're still broken and no sign of fix upstream

* Thu Apr 19 2012 Jakub Bogusz <qboosh@pld-linux.org> b95be14
- dropped elfutils-devel BR (caused by broken glib2 build)

* Wed Apr 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 8049a7f
- completed previous changelog entry

* Wed Apr 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 30b4c98
- fixed auto* regeneration
- added gir-fix patch from babl git (but it's not enough)
- added introspection bcond; now builds without it, it seems that g-ir-scanner or annotations are broken

* Wed Apr 18 2012 wrobell <wrobell@pld-linux.org> f2eb398
- ver. 0.1.10 (build limitations still apply as for 0.1.8)

* Wed Apr 18 2012 wrobell <wrobell@pld-linux.org> 587dc24
- ver. 0.1.8 (nfy - builds without vala 0.16 and without automake
  regeneration)

* Fri Nov 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 2ddcaa5
- updated to 0.1.6
- added vala API (on bcond)

* Thu Sep 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 35584e1
- package gi files

* Thu Sep 08 2011 lisu <lisu@pld-linux.org> ce91558
- updated to 0.1.4

* Thu Jun 24 2010 Jakub Bogusz <qboosh@pld-linux.org> 067734f
- disable silent-rules
- clean up unpackaged files

* Wed Jun 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 44d1c6c
- up to 0.1.2 (soname change)

* Fri Dec 11 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b2e045a
- url fix

* Tue Jul 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c1ae3b
- up to 0.1.0

* Wed Jun 18 2008 wolf <wolf@pld-linux.org> 035f8bf
- 0.0.22

* Sat Mar 01 2008 Jakub Bogusz <qboosh@pld-linux.org> 84fad38
- LGPL v3 now

* Fri Feb 29 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 12cd3dc
- updated to 0.0.20

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> dcfa631
- up to 0.0.16

* Sat Jun 16 2007 Jakub Bogusz <qboosh@pld-linux.org> c554246
- LGPL v2+

* Sat Jun 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 9a2c082
- filled files and deps

* Sat Jun 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 2a41f84
- pl

